Can't adjust volume before playing track

March 31, 2018 16:18 - Gregorio Grasselli

Status: Closed Start date: March 31, 2018

Priority: Major Due date:  

Assignee:  % Done: 100%

Category: plugins/pulse audio Estimated time: 0.00 hour

Target version: 3.10   

Affects version: 3.9   

Description

Hi,

when using Audacious for stage play music, I should adjust the volume of the next track before playing it.

For some reason though, the volume slide is blocked on 0% when no track is played, no matter what I do. So the next track always

starts with the previous volume.

I can't understand why this happens. In Winamp the volume slide works even when no track is played.

Thank you

History

#1 - April 01, 2018 00:45 - Michael Schwendt

You may need to choose a different audio output plugin in the settings then. Probably you are using Pulse Audio currently.

#2 - April 01, 2018 08:43 - Gregorio Grasselli

It works! Thank you.

(Somewhere else I'm gonna ask why Ubuntu Audio must have Pulse Quantum Mechanics and ALSA General Relativity. Isn't the universe complex

enough?)

#3 - April 10, 2018 02:54 - John Lindgren

Yes, in the Pulse Audio API, the volume belongs to the audio stream, not to the application as such.  I'm not sure what the recommended way to

handle volume is when we don't have an open audio stream.  If someone could research this, I'd be happy to look over a patch.

#4 - April 10, 2018 02:54 - John Lindgren

- Category set to plugins/pulse audio

#5 - April 26, 2018 14:55 - John Lindgren

- % Done changed from 0 to 100

- Target version set to 3.10

- Status changed from New to Closed

Fixed:

https://github.com/audacious-media-player/audacious-plugins/commit/f0949b25d120f9ef40bcb31c98b95d85e7927342
